apiVersion: v1
kind: Pod
metadata:
  name: dns
spec:
  restartPolicy: always
  containers:
  - image: docker.io/pihole/pihole:latest
    name: pihole
    env:
    - name: TZ
      value: America/Los_Angeles
    - name: WEBPASSWORD
      value: password
    - name: 
      value: 192.168.1.5
    - name: PIHOLE_DNS_
      value: 127.0.0.1#5353
    ports:
    - containerPort: 53
      hostPort: 53
      protocol: tcp
    - containerPort: 53
      hostPort: 53
      protocol: udp
    - containerPort: 80
      hostPort: 8001
    volumeMounts:
    - name: piData
      mountPath: /etc/pihole
    - name: dnsmasq
      mountPath: /etc/dnsmasq.d

  - image: docker.io/mvance/unbound:latest
    name: unbound
    volumeMount:
    - name: unData
      mountPath: /opt/unbound/etc/unbound

  volumes:
  - name: piData
    hostPath:
      path: /home/server/data/pihole/data
      type: Directory
  - name: dnsmasq
    hostPath:
      path: /home/server/data/pihole/dnsmasq.d
      type: Directory
  - name: unData
    hostPath:
      path: /home/server/containers/dns
      type: Directory
    